Bug 3623 - [UPDATE REQUEST] Kernel 3.10.27
: [UPDATE REQUEST] Kernel 3.10.27
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-17 11:17 MSK by Eugene Shatokhin
Modified: 2014-02-12 19:11 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
hh2.png (214.38 KB, image/png)
2014-01-26 16:38 MSK, Postnikov Dmitry
Details
perf kernel 3.10.9 .png (795.52 KB, image/png)
2014-01-27 00:54 MSK, Postnikov Dmitry
Details
perf kernel 3.10.27 .png (662.80 KB, image/png)
2014-01-27 00:55 MSK, Postnikov Dmitry
Details
strace-perf-ROMP.txt (1.04 MB, text/plain)
2014-01-28 23:31 MSK, Postnikov Dmitry
Details
gdb-perf-ROMP.txt (17.10 KB, text/plain)
2014-01-29 00:07 MSK, Postnikov Dmitry
Details
gdb-perf-ROMP-84.txt (19.09 KB, text/plain)
2014-01-29 01:54 MSK, Postnikov Dmitry
Details
gdb-perf-ROMP-84-debug.txt (16.65 KB, text/plain)
2014-01-29 01:59 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-01-17 11:17:27 MSK
Upstream update to version 3.10.27.
Comment 1 Eugene Shatokhin 2014-01-17 11:31:54 MSK
Advisory:
The kernel was updated to version 3.10.27. 
This version includes a number of bug fixes for the memory sybsystem, file systems (ext4, btrfs, xfs, nfs), video (i915, radeon), network drivers (tg3, iwlwifi, rtlwifi, ath9k, r8169), sound (ALSA), KVM, virtio and much more.
Apart from that, the following changes were made:
* patches were added to (partially) fix the problems with backlight on some MS Windows 8 - capable laptops (see https://bugzilla.kernel.org/show_bug.cgi?id=51231 and other similar bugs) 
* obsolete patches were dropped: 9 for IFW (net-*netfilter-*) and 5 for HECI
* ndiswrapper was updated to version 1.59 that better supports 3.10.x kernels
* several smaller fixes.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/1522926
https://abf.rosalinux.ru/build_lists/1523456

x86-64:
https://abf.rosalinux.ru/build_lists/1523019
https://abf.rosalinux.ru/build_lists/1523170

Kernel flavours:
for both architectires - desktop, server, nrj_desktop, nrj_realtime, nrj_laptop, nrj_netbook. Plus nrj_desktop_pae, nrj_laptop_pae for i586 only.
Comment 2 Vladimir Potapov 2014-01-22 18:21:00 MSK
The update route to extended testing
Comment 3 Postnikov Dmitry 2014-01-26 15:20:36 MSK
************************
Extended testing report
***********************
1. On 3 computers with new kernel no problem.
2. On my one computers with new kernel+radeon+glamor error in log:
Jan 26 14:43:50 mindlife-kde kernel: [   20.470666] [drm:r600_uvd_ib_test] *ERROR* radeon: fence wait failed (-35).
Jan 26 14:43:50 mindlife-kde kernel: [   20.470671] [drm:radeon_ib_ring_tests] *ERROR* radeon: failed testing IB on ring 5 (-35).
Comment 4 Postnikov Dmitry 2014-01-26 15:23:24 MSK
3. If i have installed TWO kernel, for example:
kernel-nrj-desktop....
kernel-nrj-laptop....

then for update kernel, automaticaly installed TWO new kernel:
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «kernel-3.10.27-2»)
 cpupower                       3.10.27      1             rosa  2012.1 x86_64 
 kernel-headers                 3.10.27      1             rosa  2012.1 x86_64 
 kernel-nrj-desktop-3.10.27-1r> 1            1             rosa  2012.1 x86_64 
 kernel-nrj-desktop-devel-3.10> 1            1             rosa  2012.1 x86_64 
 kernel-nrj-desktop-devel-late> 3.10.27      1             rosa  2012.1 x86_64 
 kernel-nrj-desktop-latest      3.10.27      1             rosa  2012.1 x86_64 
 kernel-nrj-laptop-3.10.27-1ro> 1            1             rosa  2012.1 x86_64 
 kernel-nrj-laptop-devel-3.10.> 1            1             rosa  2012.1 x86_64 
 kernel-nrj-laptop-devel-latest 3.10.27      1             rosa  2012.1 x86_64 
 kernel-nrj-laptop-latest       3.10.27      1             rosa  2012.1 x86_64 
Будет использовано 141МБ дополнительного дискового пространства.
Будет загружено 91МБ пакетов.
Установить 10 пакетов? (Y/n) y

Do this a normal?
Comment 5 Vladimir Potapov 2014-01-26 15:24:45 MSK
(In reply to comment #3)
> ************************
> Extended testing report
> ***********************
> 1. On 3 computers with new kernel no problem.
> 2. On my one computers with new kernel+radeon+glamor error in log:
> Jan 26 14:43:50 mindlife-kde kernel: [   20.470666] [drm:r600_uvd_ib_test]
> *ERROR* radeon: fence wait failed (-35).
> Jan 26 14:43:50 mindlife-kde kernel: [   20.470671]
> [drm:radeon_ib_ring_tests] *ERROR* radeon: failed testing IB on ring 5 (-35).
You use current radeon? Have you regression with current kernel + current radeon?
Comment 6 Vladimir Potapov 2014-01-26 15:25:57 MSK
(In reply to comment #4)
> 3. If i have installed TWO kernel, for example:
> kernel-nrj-desktop....
> kernel-nrj-laptop....
> 
> then for update kernel, automaticaly installed TWO new kernel:
> Для удовлетворения зависимостей будут установлены следующие пакеты:
>  Пакет                          Версия       Релиз         Dist  DEpoch
> Платформа 
> (источник «kernel-3.10.27-2»)
>  cpupower                       3.10.27      1             rosa  2012.1
> x86_64 
>  kernel-headers                 3.10.27      1             rosa  2012.1
> x86_64 
>  kernel-nrj-desktop-3.10.27-1r> 1            1             rosa  2012.1
> x86_64 
>  kernel-nrj-desktop-devel-3.10> 1            1             rosa  2012.1
> x86_64 
>  kernel-nrj-desktop-devel-late> 3.10.27      1             rosa  2012.1
> x86_64 
>  kernel-nrj-desktop-latest      3.10.27      1             rosa  2012.1
> x86_64 
>  kernel-nrj-laptop-3.10.27-1ro> 1            1             rosa  2012.1
> x86_64 
>  kernel-nrj-laptop-devel-3.10.> 1            1             rosa  2012.1
> x86_64 
>  kernel-nrj-laptop-devel-latest 3.10.27      1             rosa  2012.1
> x86_64 
>  kernel-nrj-laptop-latest       3.10.27      1             rosa  2012.1
> x86_64 
> Будет использовано 141МБ дополнительного дискового пространства.
> Будет загружено 91МБ пакетов.
> Установить 10 пакетов? (Y/n) y
> 
> Do this a normal?
Do you have current kernel-nrj-laptop-devel-latest?
I have two current kernel (+pae) and I have  two updated kernel.
Comment 7 Aleksandr Kazantcev 2014-01-26 15:35:04 MSK
Glamor still experimental...
Comment 8 Aleksandr Kazantcev 2014-01-26 15:36:48 MSK
Newest x11-driver-video-radeon and new Glamor will be build on next week... But all new feature related to kernel 3.13 and upper. For that reason glamor error is possible and not need be investigated.
Comment 9 Postnikov Dmitry 2014-01-26 15:48:37 MSK
4. On Intel IvyBrige card GpuTest 0.6 - 2 test - FAIL (no show error)
5. On Nvidia Optimus GpuTest 0.6 - FAIL, show error:
[VGL] ERROR: in readpixels--
[VGL]    264: GL_ARB_pixel_buffer_object extension not available
6. 3D game on Intel and Optimus - PASSED
7. Switch VT console - PASSED
8. Glx test on Intel + Optimus - PASSED
Comment 10 Vladimir Potapov 2014-01-26 15:53:00 MSK
(In reply to comment #9)
> 4. On Intel IvyBrige card GpuTest 0.6 - 2 test - FAIL (no show error)
> 5. On Nvidia Optimus GpuTest 0.6 - FAIL, show error:
> [VGL] ERROR: in readpixels--
> [VGL]    264: GL_ARB_pixel_buffer_object extension not available
> 6. 3D game on Intel and Optimus - PASSED
> 7. Switch VT console - PASSED
> 8. Glx test on Intel + Optimus - PASSED
It's regressions?
Comment 11 Aleksandr Kazantcev 2014-01-26 16:04:12 MSK
GL_ARB_pixel_buffer_object extension not available - not error. Only not enabled extensions in blob by default. 

For future - external tests may got wrong result.
Comment 12 Postnikov Dmitry 2014-01-26 16:08:12 MSK
(In reply to comment #10)
> (In reply to comment #9)
> > 4. On Intel IvyBrige card GpuTest 0.6 - 2 test - FAIL (no show error)
> > 5. On Nvidia Optimus GpuTest 0.6 - FAIL, show error:
> > [VGL] ERROR: in readpixels--
> > [VGL]    264: GL_ARB_pixel_buffer_object extension not available
> > 6. 3D game on Intel and Optimus - PASSED
> > 7. Switch VT console - PASSED
> > 8. Glx test on Intel + Optimus - PASSED
> It's regressions?

No.
Comment 13 Postnikov Dmitry 2014-01-26 16:09:49 MSK
(In reply to comment #5)
> (In reply to comment #3)
> > ************************
> > Extended testing report
> > ***********************
> > 1. On 3 computers with new kernel no problem.
> > 2. On my one computers with new kernel+radeon+glamor error in log:
> > Jan 26 14:43:50 mindlife-kde kernel: [   20.470666] [drm:r600_uvd_ib_test]
> > *ERROR* radeon: fence wait failed (-35).
> > Jan 26 14:43:50 mindlife-kde kernel: [   20.470671]
> > [drm:radeon_ib_ring_tests] *ERROR* radeon: failed testing IB on ring 5 (-35).
> You use current radeon? Have you regression with current kernel + current
> radeon?

Yes, i used current radeon. With kernel-3.10.19 and current radeon - no this error.
Comment 14 Postnikov Dmitry 2014-01-26 16:22:40 MSK
(In reply to comment #7)
> Glamor still experimental...

But some users use glamor. Do you forgot about the bug with the glamor and HD3250?
We need to correct.
Comment 15 Postnikov Dmitry 2014-01-26 16:25:28 MSK
(In reply to comment #11)
> с not available - not error. Only not
> enabled extensions in blob by default. 
> 
> For future - external tests may got wrong res(In reply to comment #11)
> GL_ARB_pixel_buffer_object extension not available - not error. Only not
> enabled extensions in blob by default. 
> 
> For future - external tests may got wrong result.

GL_ARB_pixel_buffer_object extension is ON. glxinfo show GL_ARB_pixel_buffer_object.

External test all normal PASSED on fglrx driver. On the same system.
Means and on the other computer should work.
Comment 16 Vladimir Potapov 2014-01-26 16:29:39 MSK
(In reply to comment #13)

> > You use current radeon? Have you regression with current kernel + current
> > radeon?
> 
> Yes, i used current radeon. With kernel-3.10.19 and current radeon - no this
> error.

(In reply to comment #8)
> Newest x11-driver-video-radeon and new Glamor will be build on next week...
> But all new feature related to kernel 3.13 and upper. For that reason glamor
> error is possible and not need be investigated.

I propose wait for the release of the new driver x11-driver-video-radeon.
Comment 17 Postnikov Dmitry 2014-01-26 16:38:17 MSK
Created attachment 2591 [details]
hh2.png

9. perf record rosa-media-player and Open File...- FAIL
=======
ROSA Media Player запущен в Linux
klauncher(16174) kdemain: No DBUS session-bus found. Check if you have started the DBUS server. 
kdeinit4: Communication error with launcher. Exiting!
[ perf record: Woken up 1 times to write data ]
[ perf record: Captured and wrote 0.090 MB perf.data (~3953 samples) ]
rosa-media-player: Segmentation fault
======
+ see attach report

THIS REGRESSION.
Comment 18 Vladimir Potapov 2014-01-26 16:48:53 MSK
(In reply to comment #17)
> Created attachment 2591 [details]
> hh2.png
> 
> 9. perf record rosa-media-player and Open File...- FAIL
> =======
> ROSA Media Player запущен в Linux
> klauncher(16174) kdemain: No DBUS session-bus found. Check if you have
> started the DBUS server. 
> kdeinit4: Communication error with launcher. Exiting!
> [ perf record: Woken up 1 times to write data ]
> [ perf record: Captured and wrote 0.090 MB perf.data (~3953 samples) ]
> rosa-media-player: Segmentation fault
> ======
> + see attach report
> 
> THIS REGRESSION.
Do you reproduce the bug for other system (other hardware or architecture)?
Comment 19 Postnikov Dmitry 2014-01-26 16:52:41 MSK
10. Network eth/wifi sleep/wakeup - PASSED
11. Network eth/wifi ON/OFF - PASSED
12. Kernel modules rm/ins - PASSED
13. Mem test - PASSED
14. Sytemctl hibernate with Intel and Optimus - PASSED
15. perf record rosa-media-player work but error in console.
Qt: Session management error: None of the authentication protocols specified are supported
ROSA Media Player запущен в Linux
Error creating proxy: Соединение закрыто (g-io-error-quark, 18)
Error creating proxy: Соединение закрыто (g-io-error-quark, 18)
Error creating proxy: Соединение закрыто (g-io-error-quark, 18)
[ perf record: Woken up 4 times to write data ]
[ perf record: Captured and wrote 1.025 MB perf.data (~44800 samples) ]
Comment 20 Postnikov Dmitry 2014-01-26 16:53:42 MSK
(In reply to comment #18)
> (In reply to comment #17)
> > THIS REGRESSION.
> Do you reproduce the bug for other system (other hardware or architecture)?

Comment #19 on Intel+Gnome
Comment 21 Aleksandr Kazantcev 2014-01-26 16:58:24 MSK
Run smplayer - if error no appear - bug in ROSA Media Player. Thay has similar internal structure, but RMP may be outdated by code and need rebuild or fix.
Comment 22 Postnikov Dmitry 2014-01-26 17:41:01 MSK
(In reply to comment #21)
> Run smplayer - if error no appear - bug in ROSA Media Player. Thay has
> similar internal structure, but RMP may be outdated by code and need rebuild
> or fix.

Hm... on kernel-3.10.19 no fault ROMP via perf. On this kernel - error. The same computer and OS, i changed only kernel.
Comment 23 Postnikov Dmitry 2014-01-26 17:46:03 MSK
(In reply to comment #21)
> Run smplayer - if error no appear - bug in ROSA Media Player. Thay has
> similar internal structure, but RMP may be outdated by code and need rebuild
> or fix.

Yes, SMplayer via perf also crash:
kioclient(29316): Session bus not found 
/usr/bin/xdg-open: строка 483: 29316 Аварийный останов         (слепок снят) kde-open "$1"
Debug: BaseGui::fileOpen
klauncher(29320) kdemain: No DBUS session-bus found. Check if you have started the DBUS server. 
kdeinit4: Communication error with launcher. Exiting!
[ perf record: Woken up 1 times to write data ]
[ perf record: Captured and wrote 0.126 MB perf.data (~5498 samples) ]
smplayer: Segmentation fault
Comment 24 Aleksandr Kazantcev 2014-01-26 17:47:47 MSK
http://forum.altlinux.org/index.php?topic=30520.0
Comment 25 Postnikov Dmitry 2014-01-26 20:24:40 MSK
This many video-boot system:

1й - КДЕ-64 with kernel-3.10.27
2й - Fedora 19 - Gnome 64
3й - Gnome-64 with kernel-3.10.19

In bottom monitor Blue indicator - monitor is ON. If Orange indicator - Monitor is OFF. And messages from monitor "No signal"(rus).

1. http://cdn.2safe.com/700351033758/DSCF1223.AVI
2. http://cdn.2safe.com/700349033758/DSCF1224.AVI
3. http://cdn.2safe.com/700353033758/DSCF1225.AVI
Comment 26 Postnikov Dmitry 2014-01-27 00:54:43 MSK
Created attachment 2592 [details]
perf kernel 3.10.9 .png

This screenshot with old kernel 3.10.19 and perf record rosa-media-player.
All work
Comment 27 Postnikov Dmitry 2014-01-27 00:55:30 MSK
Created attachment 2593 [details]
perf kernel 3.10.27 .png

This screenshot with new kernel laptop 3.10.27 and perf record rosa-media-player.
Don't work
Comment 28 Vladimir Potapov 2014-01-27 04:35:23 MSK
(In reply to comment #27)
> Created attachment 2593 [details]
> perf kernel 3.10.27 .png
> 
> This screenshot with new kernel laptop 3.10.27 and perf record
> rosa-media-player.
> Don't work

**********************
QA Denied
Comment 29 Eugene Shatokhin 2014-01-27 11:22:20 MSK
(In reply to comment #4)
> 3. If i have installed TWO kernel, for example:
> kernel-nrj-desktop....
> kernel-nrj-laptop....
> 
> then for update kernel, automaticaly installed TWO new kernel:
> Do this a normal?

Yes, this is the correct behaviour.
Comment 30 Eugene Shatokhin 2014-01-27 11:25:23 MSK
(In reply to comment #27)
> Created attachment 2593 [details]
> perf kernel 3.10.27 .png
> 
> This screenshot with new kernel laptop 3.10.27 and perf record
> rosa-media-player.
> Don't work

OK, thanks for testing. I'll see what's wrong with Perf.
Comment 31 Eugene Shatokhin 2014-01-27 11:28:58 MSK
Just to be sure. Which versions of perf package are you using with kernel 3.10.19 and 3.10.27?
Comment 32 Eugene Shatokhin 2014-01-28 17:20:47 MSK
Hm, as far as I can see, there are only a few perf-related changes in 3.10.27 compared to 3.10.19. However, none seems to affect 'perf record', which makes me think, the problem might be out there before. Need to investigate.

Btw, it did not show up on the machines I tried. 

So, waiting for GDB backtrace at the time of crash. 

May be - with GDB tracking child processes rather than the parent only ('(gdb) set follow-fork-mode child')
Comment 33 Postnikov Dmitry 2014-01-28 23:31:47 MSK
Created attachment 2604 [details]
strace-perf-ROMP.txt

This Strace perf record rosa-media-player
Comment 34 Postnikov Dmitry 2014-01-29 00:07:34 MSK
Created attachment 2605 [details]
gdb-perf-ROMP.txt

This Gdb perf record posa-media-player.
3 time is normal start, and 4 time is crash...
Comment 35 Postnikov Dmitry 2014-01-29 01:54:20 MSK
Created attachment 2606 [details]
gdb-perf-ROMP-84.txt

This Gdb perf record rosa-media-player with kernel-nrg-desktop-3.10.27-84
(84) from pesonal repo Ev.Sh.
Comment 36 Postnikov Dmitry 2014-01-29 01:59:05 MSK
Created attachment 2607 [details]
gdb-perf-ROMP-84-debug.txt

This Gdb perf record rosa-media-player with DEBUG kernel-nrj-desktop-3.10.27-84 + kernel-debuginfo-3.10.27-84 from personal repo Eu.Sh.
Comment 37 Postnikov Dmitry 2014-01-29 02:16:21 MSK
Hmmm... It seems found dependence on what falls ROMP.
1. I have partitions of the hard drive (ntfs) in Gnome are not mounted.
2. Start "perf rocord rosa-media-player" and select menu "File - Open", opens a form with a choice of partition and folders. Mount desired partition, select the folder and film.
3. ROMP crash...

If desired partition is mounted, then ROMP is normal played.
Comment 38 Eugene Shatokhin 2014-01-29 12:32:25 MSK
(In reply to comment #37)
> Hmmm... It seems found dependence on what falls ROMP.
> 1. I have partitions of the hard drive (ntfs) in Gnome are not mounted.
> 2. Start "perf rocord rosa-media-player" and select menu "File - Open",
> opens a form with a choice of partition and folders. Mount desired
> partition, select the folder and film.
> 3. ROMP crash...
> 
> If desired partition is mounted, then ROMP is normal played.

That is a really useful info! I have finally reproduced the problem in this use case. Investigating...
Comment 39 Eugene Shatokhin 2014-01-31 22:48:38 MSK
I have investigated the crashes of ROMP and smplayer. 

The problem is in GTK library and it existed before, just did not show up. 

Kernel and Perf have nothing to do with it. After their update, some structures probably occupied different positions in memory than before, so that helped make the problem reveal itself.

The problem is not fixed in the upstream yet. I have prepared a patch and reported it, along with a detailed description:
https://bugzilla.gnome.org/show_bug.cgi?id=723366

To check the fix, I have applied the fix to our GTK2 package too. Please try the gtk libraries from these builds and see if the problem persists:

i586:
https://abf.rosalinux.ru/build_lists/1607073
x86_64:
https://abf.rosalinux.ru/build_lists/1607074 

If the fix works for you too, I'll prepare an update request for GTK in a separate bug.

Now to investigate these warnings from radeon driver...
Comment 40 Postnikov Dmitry 2014-02-03 12:15:47 MSK
(In reply to comment #39)
> i586:
> https://abf.rosalinux.ru/build_lists/1607073
> x86_64:
> https://abf.rosalinux.ru/build_lists/1607074 
> 
> If the fix works for you too, I'll prepare an update request for GTK in a
> separate bug.
> 
> Now to investigate these warnings from radeon driver...

Yes! perf record ROMP all work.
Comment 41 Eugene Shatokhin 2014-02-03 14:13:58 MSK
(In reply to comment #40)
> Yes! perf record ROMP all work.

Good. I have filed a separate update request for GTK+2.0. 

Investigating other problems now...
Comment 42 Eugene Shatokhin 2014-02-04 12:23:09 MSK
(In reply to comment #3)
> 2. On my one computers with new kernel+radeon+glamor error in log:
> Jan 26 14:43:50 mindlife-kde kernel: [   20.470666] [drm:r600_uvd_ib_test]
> *ERROR* radeon: fence wait failed (-35).
> Jan 26 14:43:50 mindlife-kde kernel: [   20.470671]
> [drm:radeon_ib_ring_tests] *ERROR* radeon: failed testing IB on ring 5 (-35).

If you see these errors in the log again, please move UVD-related firmware (*uvd*.bin) from /lib/firmware/radeon/ somewhere else, reboot and check if some errors appear.

May be it is this upstream issue: https://bugzilla.kernel.org/show_bug.cgi?id=67571
Comment 43 Aleksandr Kazantcev 2014-02-04 12:36:51 MSK
Bug with firmware open and did not close.

https://bugs.freedesktop.org/show_bug.cgi?id=71067

Universal solution is not found, that i think bug may be ignored as 'wontfix' and 'upstream known'.
Comment 44 Eugene Shatokhin 2014-02-04 12:53:25 MSK
(In reply to comment #43)
> Bug with firmware open and did not close.
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=71067
> 
> Universal solution is not found, that i think bug may be ignored as
> 'wontfix' and 'upstream known'.

Let's see first, if removing the UVD firmware actually works as a workaround. If so, or if the problem no longer shows up, then yes, we could leave that as is and proceed.
Comment 45 Eugene Shatokhin 2014-02-11 11:22:47 MSK
To sum up:
* The problem with ROMP crash turned out to be unrelated to the kernel. 
* A workaround has been proposed for UVD-related radeon warnings (known upstream issue).
* The rest of the issues are likely to be in Xorg drivers or settings rather than in the kernel

Reopening the request.
Comment 46 Vladimir Potapov 2014-02-11 13:42:13 MSK
kernel-desktop-3.10.27-1rosa-1-1-rosa2012.1
kernel-desktop-latest-3.10.27-1.1-rosa2012.1
**************************** Advisory ***************************
The kernel was updated to version 3.10.27. 
**************************** Changelog ***************************
This version includes a number of bug fixes for the memory sybsystem, file systems (ext4, btrfs, xfs, nfs), video (i915, radeon), network drivers (tg3, iwlwifi, rtlwifi, ath9k, r8169), sound (ALSA), KVM, virtio and much more.
Apart from that, the following changes were made:
* patches were added to (partially) fix the problems with backlight on some MS Windows 8 - capable laptops (see https://bugzilla.kernel.org/show_bug.cgi?id=51231 and other similar bugs) 
* obsolete patches were dropped: 9 for IFW (net-*netfilter-*) and 5 for HECI
* ndiswrapper was updated to version 1.59 that better supports 3.10.x kernels
* several smaller fixes.
*******************************************************************
QA Verified